import { ElementRef, OnInit } from '@angular/core';
import { ControlInfo } from '../model/boxInfo';
import { CommonService } from '../service/common.service';
import * as i0 from "@angular/core";
export declare class FormDragDirective implements OnInit {
    private el;
    private commonService;
    constructor(el: ElementRef, commonService: CommonService);
    onMouseDown(): void;
    onDragstart(e: any): void;
    onDragend(): void;
    private areaname;
    ngOnInit(): void;
    private _controlinfo;
    get controlInfo(): ControlInfo;
    set controlInfo(prop: ControlInfo);
    static ɵfac: i0.ɵɵFactoryDeclaration<FormDragDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FormDragDirective, "[formdrag]", never, { "controlInfo": "controlinfo"; }, {}, never>;
}
